Bug 1069352 - [GSS] (6.2.x) Schema imports in CXF can have naming conflicts in the URL used to retrieve them
Summary: [GSS] (6.2.x) Schema imports in CXF can have naming conflicts in the URL used...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: CR1
: EAP 6.2.4
Assignee: Kyle Lape
QA Contact: Rostislav Svoboda
Russell Dickenson
URL:
Whiteboard:
Depends On: 1069349 1100931
Blocks: eap62-cp04-blockers 1069354 1084169
TreeView+ depends on / blocked
 
Reported: 2014-02-24 19:49 UTC by Kyle Lape
Modified: 2018-12-06 15:56 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In previous versions of JBoss EAP 6, CXF did not resolve external WSDL schema links properly for .xsd files with the same name but different path. This meant that WSDL schemas could not be downloaded properly in certain situations. This release of the product includes enough information in schema links to make each schema file unique and WSDL schemas can now be downloaded without issue.
Clone Of: 1069349
Environment:
Last Closed: 2014-08-07 12:12:05 UTC
Type: Bug


Attachments (Terms of Use)
Patch to be applied on CXF 2.7.11-redhat2 (24.48 KB, patch)
2014-06-03 06:22 UTC, Emmanuel Hugonnet (ehsavoie)
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Apache JIRA CXF-4910 None None None Never

Comment 1 Kyle Lape 2014-04-15 18:13:05 UTC
Note that while CXF-4910 was mostly fixed in CXF 2.7.11, there was another commit to complete the fix after 2.7.11 was tagged.

git commit ID: 80e89da70ac57017afaf712d2559d21a43e0b66a

Comment 3 Carlo de Wolf 2014-05-30 09:04:15 UTC
As per https://bugzilla.redhat.com/show_bug.cgi?id=1069352#c1 not part of 2.7.11.

Comment 5 baranowb 2014-06-02 10:48:02 UTC
Proper link to git commit [1].  
As far as I know this has not been ported to [2].

There is already a redhat-2 which contains fix to QE regression [3]. So... 'redhat3' ?


[1] https://git-wip-us.apache.org/repos/asf?p=cxf.git;a=commitdiff;h=80e89da70ac57017afaf712d2559d21a43e0b66a
[2] http://git.app.eng.bos.redhat.com/git/apache/cxf.git/log/?h=cxf-2.7.11-redhat
[3] http://git.app.eng.bos.redhat.com/git/apache/cxf.git/commit/?h=cxf-2.7.11-redhat&id=ce07af998bb5363346615fe1ddebf83517a9f8b7

Comment 6 Emmanuel Hugonnet (ehsavoie) 2014-06-03 06:22:19 UTC
Created attachment 901597 [details]
Patch to be applied on CXF 2.7.11-redhat2

Comment 8 Jan Blizňák 2014-06-19 14:59:36 UTC
Verified with 6.2.4.CP.CR1

Used reproducers from customer portal and manually verified that relative address is now resolved correctly.


Note You need to log in before you can comment on or make changes to this bug.